﻿Public Class Logger

    Private Shared _logger As ILogger

    Shared Sub New()
        _logger = New SystemDiagnosticsLogger
    End Sub

    Private Shared ReadOnly Property Logger() As ILogger
        Get
            Return _logger
        End Get
    End Property

    Public Shared Sub LogInfo(ByVal info As String)
        Logger.LogInfo(info)
    End Sub

    Public Shared Sub LogServiceInvocation(ByVal service As Object, ByVal message As String, Optional ByVal parameterInfo As String = Nothing)
        Logger.LogServiceInvocation(service, message, parameterInfo)
    End Sub

    Public Shared Sub LogServiceReturn(ByVal service As Object, ByVal message As String, Optional ByVal returnInfo As String = Nothing)
        Logger.LogServiceReturn(service, message, returnInfo)
    End Sub
End Class
