﻿Public Class FakeKundenFactory

   Private Shared ReadOnly Vornamen As String() = New String() {"Helmut", "Johanna", "Wolfgang", "Judith", "Paul", "Emma", "Hermann", "Anton", "Emilie", "Carla", "Alfred"}
   Private Shared ReadOnly Nachnamen As String() = New String() {"Mayer", "Huber", "Kasbacher", "Schröckenroither", "Kurm", "Möselbacher", "Karlsbader", "Holle", "Neuburger", "Carlsbader", "Frankensteiner", "Warsteiner", "Schlierbacher"}

   Friend Shared Function CreateKunde(ByVal KundenNr As Integer) As Kunde
      Dim Vorname = GetFakeVorname(KundenNr)
      Dim Nachname = GetFakeNachname(KundenNr)

      Dim newKunde = New Kunde(KundenNr, nachname)
      newKunde.Vorname = vorname

      Return newKunde
   End Function

   Private Shared Function GetFakeVorname(ByVal KundenNr As Integer) As String
      Dim index = CInt(KundenNr * CLng(17) Mod Vornamen.Length)

      Return Vornamen(index)
   End Function

   Private Shared Function GetFakeNachname(ByVal KundenNr As Integer) As String
      Dim index = CInt(KundenNr * CLng(31) Mod Nachnamen.Length)

      Return Nachnamen(index)
   End Function
End Class
