﻿Public Class SystemDiagnosticsLogger
   Inherits LoggerBase

   Public Overrides Sub Log(ByVal info As String)
      'Trace.WriteLine(info)
      Trace.TraceInformation(info)
   End Sub

   Public Overrides Sub Log(ByVal exception As System.Exception)
      Dim msg = String.Format("Es ist ein Fehler aufgetreten:{0}{1}", _
                        Environment.NewLine, GetExceptionInfoRecursive(exception))
      'Log(msg)
      Trace.TraceError(msg)
   End Sub

   Public Overrides Sub LogServiceInvocation(ByVal service As Object, ByVal message As String, ByVal parameterInfo As String)
      Dim msg = GetLogServiceInvocationInfo(service, message, parameterInfo)

      Log(msg)
   End Sub

   Public Overrides Sub LogServiceReturn(ByVal service As Object, ByVal message As String, ByVal returnInfo As String)
      Dim msg = GetLogServiceReturnInfo(service, message, returnInfo)

      Log(msg)
   End Sub
End Class
