﻿<DataContract()> _
Public Class Privatkunde
    Public Sub New(ByVal KundenNr As Integer, ByVal Nachname As String)
        _kundenNr = KundenNr
        _nachname = Nachname
    End Sub

    Private _kundenNr As Integer
    <DataMember()> _
    Public Property KundenNr() As Integer
        Get
            Return _kundenNr
        End Get
        Set(ByVal value As Integer)
            _kundenNr = value
        End Set
    End Property

    Private _vorname As String
    <DataMember()> _
    Public Property Vorname() As String
        Get
            Return _vorname
        End Get
        Set(ByVal value As String)
            _vorname = value
        End Set
    End Property

    Private _nachname As String
    <DataMember()> _
    Public Property Nachname() As String
        Get
            Return _nachname
        End Get
        Set(ByVal value As String)
            _nachname = value
        End Set
    End Property

    Public Overrides Function ToString() As String
        Dim ret As String

        If Not String.IsNullOrEmpty(Vorname) Then
            ret = Vorname & " " & Nachname
        Else
            ret = Nachname
        End If

        ret &= " (KNr: " & KundenNr & ")"

        Return ret
    End Function
End Class
