﻿Public Class MyApplicationLogger
   Inherits LoggerBase


   Public Overloads Overrides Sub Log(ByVal info As String)
      My.Application.Log.WriteEntry(info)
   End Sub

   Public Overloads Overrides Sub Log(ByVal exception As System.Exception)
      My.Application.Log.WriteException(exception)
   End Sub

   Public Overrides Sub LogServiceInvocation(ByVal service As Object, ByVal message As String, ByVal parameterInfo As String)
      Dim info = GetLogServiceInvocationInfo(service, message, parameterInfo)

      Log(info)
   End Sub

   Public Overrides Sub LogServiceReturn(ByVal service As Object, ByVal message As String, ByVal returnInfo As String)
      Dim info = GetLogServiceReturnInfo(service, message, returnInfo)

      Log(info)
   End Sub
End Class
